﻿using Dynamicweb.Core;
using System.Collections.Generic;

namespace Dynamicweb.Ecommerce.FieldTypeProviders
{
    public class ConversionManager
    {
        public static decimal Convert(decimal value, string fromUnit, string toUnit, Dictionary<string, ConversionUnit> options)
        {
            var fromConversionUnit = ConversionManager.GetUnitFromAbbreviation(fromUnit, options);
            var ToConversionUnit = ConversionManager.GetUnitFromAbbreviation(toUnit, options);

            return Convert(fromConversionUnit, ToConversionUnit, value);
        }

        public static decimal Convert(ConversionUnit fromUnit, ConversionUnit toUnit, decimal value)
        {
            if (fromUnit != null && toUnit != null)
            {
                double standardValue = fromUnit.ConvertToStandardUnit(Converter.ToDouble(value));
                double convertedValue = toUnit.ConvertFromStandardUnit(standardValue);
                return Converter.ToDecimal(convertedValue);
            }

            return 0;
        }

        public static ConversionUnit GetUnitFromAbbreviation(string abbreviation, Dictionary<string, ConversionUnit> options)
        {
            if (!string.IsNullOrEmpty(abbreviation))
            {
                ConversionUnit conversionUnit = null;
                if (options.TryGetValue(abbreviation, out conversionUnit))
                {
                    return conversionUnit;
                }
            }

            return null;
        }

    }
}
