﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Volume
{
    [Serializable]
    class CubicInch : ConversionUnit
    {
        public override string Name
        {
            get
            {
                return $"Cubic inch [{Symbol}]";
            }
        }

        public override string Symbol
        {
            get
            {
                return string.Format("in{0}", Convert.ToChar(0xB3));
            }
        }

        public override double ConvertToStandardUnit(double value)
        {
            return value/61024;
        }

        public override double ConvertFromStandardUnit(double value)
        {
            return value*61024;
        }
    }
}
