﻿using Dynamicweb.Ecommerce.International;
using Dynamicweb.Extensibility.AddIns;
using Dynamicweb.Extensibility.Editors;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace Dynamicweb.Ecommerce.FieldTypeProviders.ParameterEditors
{
    internal class LanguageDropDownList : DropDownParameterEditor
    {
        public override string Render(ConfigurableAddIn addIn, string name, object values, Hashtable options)
        {
            var parameterValues = new Dictionary<string, string>();

            if (values is string && !string.IsNullOrEmpty((string)values))
            {
                foreach (var value in ((string)values).Split(','))
                {
                    var tokens = value.Split('|');

                    //We should have exactly two - Key and value
                    if (tokens.Length == 2)
                    {
                        var key = tokens[0];
                        var selectedUnit = tokens[1];

                        parameterValues.Add(key, value);
                    }
                }
            }

            var output = new StringBuilder();

            foreach (Language language in Services.Languages.GetLanguages())
            {
                LanguageDropDown Editor = new LanguageDropDown();
                Editor.OptionPrefix = $"Unit_{language.LanguageId}";

                string value = null;
                if (!parameterValues.TryGetValue(Editor.OptionPrefix, out value))
                {
                    value = "";
                }

                string renderedControl = "";
                renderedControl = Editor.Render(addIn, name, value, options, language.Name);
                output.Append(renderedControl);
            }

            return output.ToString();
        }
    }
}
