﻿using System.Collections.Generic;
using Dynamicweb.Extensibility.AddIns;
using Dynamicweb.Ecommerce.FieldTypeProviders.ConversionUnits.Volume;
using System;

namespace Dynamicweb.Ecommerce.FieldTypeProviders
{
    [AddInName("Dynamicweb.VolumeFieldTypeProvider")]
    [AddInLabel("Volume FieldType Provider")]
    [AddInActive(true)]
    [Serializable]
    public class VolumeFieldTypeProvider : ConversionUnitFieldTypeProviderBase
    {
        public VolumeFieldTypeProvider() : base()
        {
        }

        internal override Dictionary<string, ConversionUnit> InitalizeOptions()
        {
            var options = new Dictionary<string, ConversionUnit>()
        {
            { "m3", new CubicMeter() },
            { "cm3", new CubicCentimeter() },
            { "dm3", new CubicDecimeter() },
            { "ft3", new CubicFoot() },
            { "in3", new CubicInch() },
            { "L", new Liter() },
            { "dl", new Deciliter() },
            { "ml", new Milliliter() },
            { "ozImperial", new FluidOunceImperial() },
            { "ozLiquidUS", new FluidOunceUS() },
            { "galImperial", new GallonImperial() },
            { "galDryUS", new GallonUSDry() },
            { "galLiquidUS", new GallonUSLiquid() },
            { "ptImperial", new PintImperial() },
            { "ptDryUS", new PintUSDry() },
            { "ptLiquidUS", new PintUSLiquid() }

        };

            return options;
        }
    }
}

